Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 923715

Summary: dev-ruby/time-0.3.0 fails tests: kernel_require.rb:127:in require: cannot load such file core_assertions (LoadError)
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Gentoo Ruby Team <ruby>
Status: RESOLVED FIXED    
Severity: normal Keywords: TESTFAILURE
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2024-02-03 11:49:42 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-ruby/time-0.3.0 fails tests.
Discovered on: amd64 (internal ref: tinderbox_musl)
System: MUSL-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#MUSL)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0015
Comment 1 Agostino Sarubbo gentoo-dev 2024-02-03 11:49:45 UTC
Created attachment 884121 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-07-17 05:57:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e4edbe1cc8bb22a3a4bd14e9480bc967b901ad7

commit 6e4edbe1cc8bb22a3a4bd14e9480bc967b901ad7
Author:     Hans de Graaff <graaff@gentoo.org>
AuthorDate: 2024-07-17 05:52:18 +0000
Commit:     Hans de Graaff <graaff@gentoo.org>
CommitDate: 2024-07-17 05:57:41 +0000

    dev-ruby/time: add missing test dependencies
    
    Closes: https://bugs.gentoo.org/923715
    Signed-off-by: Hans de Graaff <graaff@gentoo.org>

 dev-ruby/time/time-0.3.0.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)